FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Please give me your LTO-4 or better tape library and I'll put it to good use.
Port details
packagekit-qt4 Qt4 bindings to packagekit
0.6.11_1 ports-mgmt on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Ignore IGNORE: does not build with Qt 4.8
Maintainer: gnome@FreeBSD.org search for ports maintained by this maintainer
Port Added: 10 May 2010 21:19:33
Also Listed In: sysutils
License: not specified in port
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

WWW: http://www.packagekit.org
SVNWeb : Homepage : Distfiles Availability : PortsMon
Master port: ports-mgmt/packagekit

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. docbook2man : textproc/docbook-utils
  2. msgfmt : devel/gettext-tools
  3. gmake : devel/gmake
  4. pkgconf : devel/pkgconf
  5. python2.7 : lang/python27
  6. update-mime-database : misc/shared-mime-info
  7. intltool-extract : textproc/intltool
Runtime dependencies:
  1. lsof : sysutils/lsof
  2. update-mime-database : misc/shared-mime-info
Library dependencies:
  1. libdbus-glib-1.so : devel/dbus-glib
  2. libpolkit-gobject-1.so : sysutils/polkit
  3. libck-connector.so : sysutils/consolekit
  4. libexecinfo.so : devel/libexecinfo
  5. libintl.so : devel/gettext-runtime
  6. libiconv.so.3 : converters/libiconv
  7. libsqlite3.so : databases/sqlite3
  8. libglib-2.0.so : devel/glib20
  9. libgirepository-1.0.so : devel/gobject-introspection

This port is required by:

for Libraries * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

To install the port: cd /usr/ports/ports-mgmt/packagekit-qt4/ && make install clean

A package is not available for ports marked as: Forbidden / Broken / Ignore / Restricted


Configuration Options
     No options to configure

USES:
execinfo gettext gmake iconv libtool pathfix pkgconfig  python:build shared-mime-info

Master Sites:
  1. http://distcache.FreeBSD.org/ports-distfiles/
  2. http://www.packagekit.org/releases/

Number of commits found: 7

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
12 Nov 2014 21:53:18
Original commit files touched by this commit  0.6.11_1
Revision:372504
antoine search for other commits by this committer
Cleanup plist
07 Sep 2014 22:04:50
Original commit files touched by this commit  0.6.11_1
Revision:367608
tijl search for other commits by this committer
- Convert to USES=execinfo libtool pathfix python
- Add INSTALL_TARGET=install-strip
01 Jul 2014 07:42:24
Original commit files touched by this commit  0.6.11_1
Revision:359964
kwm search for other commits by this committer
Stagify.

Use USES=shared-mime-info for packagekit port.
20 Sep 2013 22:36:49
Original commit files touched by this commit  0.6.11_1
Revision:327762
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
ports-mgmt)
25 May 2012 11:09:45
Original commit files touched by this commit  0.6.11_1
makc search for other commits by this committer
IGNORE= does not build with Qt 4.8
16 Oct 2011 22:45:18
Original commit files touched by this commit  0.6.11_1
avilla search for other commits by this committer
- Add dependency on qt4-gui.
- Bump PORTREVISION.
10 May 2010 21:19:08
Original commit files touched by this commit  0.6.3
kwm search for other commits by this committer
Presenting GNOME 2.30.1 for FreeBSD. The offical release notes for this
release can be found at http://library.gnome.org/misc/release-notes/2.30/ .

This release brings initial PackageKit support, Upower (replaces power
management part of hal), cuse4bsd integration with HAL and cheese, and a
faster Evolution.

Sadly GNOME 2.30.x will be the last release with FreeBSD 6.X support. This
will also be the last of the 2.x releases. The next release will be the
highly-anticipated GNOME 3.0 which will bring with it a new UI experience.

Currently, there are a few bugs with GNOME 2.30 that may be of note for our
users. Be sure to consult the UPGRADING note or the 2.30 upgrade FAQ at
http://www.freebsd.org/gnome/docs/faq230.html for specific upgrading
instructions, and the up-to-date list of known issues.
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 7

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
php5Apr 25
php55Apr 25
php56Apr 25
wpa_supplicantApr 25
wordpress*Apr 24
wordpress*Apr 24
wordpress*Apr 24
wordpress*Apr 24
wordpress-zh_CN*Apr 24
wordpress-zh_TW*Apr 24
libtasn1Apr 22
firefoxApr 21
linux-firefoxApr 21
chronyApr 18
sqlite3Apr 18

11 vulnerabilities affecting 34 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 24692
Broken 252
Deprecated 49
Ignore 522
Forbidden 1
Restricted 204
No CDROM 95
Vulnerable 21
Expired 0
Set to expire 42
Interactive 0
new 24 hours 1
new 48 hours1
new 7 days14
new fortnight29
new month108

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.